import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:tdproto_dart/tdproto_dart.dart';

part 'client_confirm_params.freezed.dart';
part 'client_confirm_params.g.dart';

/// Params of the client.confirm event.
@freezed
abstract class ClientConfirmParams with _$ClientConfirmParams {
  const factory ClientConfirmParams({
    /// Unique identifier generated by client.
    @JsonKey(name: 'confirm_id') @required String confirmId,
  }) = _ClientConfirmParams;

  factory ClientConfirmParams.fromJson(Map<String, dynamic> json) => _$ClientConfirmParamsFromJson(json);
}
