import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:tdproto_dart/tdproto_dart.dart';

part 'server_confirm_params.freezed.dart';
part 'server_confirm_params.g.dart';

/// Params of the server.confirm event.
@freezed
abstract class ServerConfirmParams with _$ServerConfirmParams {
  const factory ServerConfirmParams({
    /// Unique id generated by server.
    @JsonKey(name: 'confirm_id') @required String confirmId,
  }) = _ServerConfirmParams;

  factory ServerConfirmParams.fromJson(Map<String, dynamic> json) => _$ServerConfirmParamsFromJson(json);
}
